Installation problems for PS2204

Post your MATLAB discussions here
Post Reply
fabianmicallef
Newbie
Posts: 0
Joined: Tue Nov 12, 2013 5:49 pm

Installation problems for PS2204

Post by fabianmicallef » Tue Nov 12, 2013 6:08 pm

I have installed the software development kit available at http://www.picotech.com/drivers.html for my picoscope model. I have followed to the letter the guidelines in the system folder.
In PS200config i have modified the paths to the ones I am using and it runs fine.
I connect the picoscope itself.
Upon running any of the examples (in this particular case the getblock example) i get this error

Code: Select all

Warning: The data type 'FcnPtr' used by function ps2000_get_streaming_last_values does not exist. 
Close unit status: 0
??? Error using ==> instrument.delete at 79
An error occurred while executing the driver disconnect code.
Could not find library class to unload it.
If this error is not an instrument error, use MIDEDIT to inspect the driver.

Error in ==> icdevice.icdevice>icdevice.icdevice at 286
                delete(obj);

Error in ==> PS2000_IC_Generic_Driver_GetBlock at 67
ps2000DeviceObj = icdevice('picotech_ps2000_generic.mdd');
running it again yields:

Code: Select all

Warning: The library class 'PS2000' already exists.  Use a classname alias. 
Close unit status: 0
??? Error using ==> instrument.delete at 79
An error occurred while executing the driver disconnect code.
Could not find library class to unload it.
If this error is not an instrument error, use MIDEDIT to inspect the driver.

Error in ==> icdevice.icdevice>icdevice.icdevice at 286
                delete(obj);

Error in ==> PS2000_IC_Generic_Driver_GetBlock at 67
ps2000DeviceObj = icdevice('picotech_ps2000_generic.mdd');
 
I cannot understand what is happenning.
Thank you alot for your support.

Hitesh
Site Admin
Site Admin
Posts: 2829
Joined: Tue May 31, 2011 3:43 pm
Location: St. Neots, Cambridgeshire

Re: Installation problems for PS2204

Post by Hitesh » Wed Nov 13, 2013 9:53 am

Hi fabianmicallef,

Which version of MATLAB are you using and are you using a 32-bit or 64-bit version?

An updated Beta release is due to be released soon if you're happy to test that one.

Have you run mex -setup?

Thanks,
Hitesh

Technical Support Engineer

fabianmicallef
Newbie
Posts: 0
Joined: Tue Nov 12, 2013 5:49 pm

Re: Installation problems for PS2204

Post by fabianmicallef » Wed Nov 13, 2013 4:54 pm

I am using version R2010a 32-bit.
Where can I find mex -setup? I cannot locate it in the SDK.
Thank you for your support.
Fabian Micallef.

Hitesh
Site Admin
Site Admin
Posts: 2829
Joined: Tue May 31, 2011 3:43 pm
Location: St. Neots, Cambridgeshire

Re: Installation problems for PS2204

Post by Hitesh » Thu Nov 14, 2013 10:11 am

Hi Fabian,

Tyep mex -setup at the MATLAB command prompt, then choose the default lcc compiler.

If you can please e-mail support@picotech.com, I can send an updated Beta release to you - it will be uploaded to the MathWorks File Exchange soon.

Thanks,
Hitesh

Technical Support Engineer

Post Reply